Subject: CSS whitespace:pre not supported

From: Geoff Kuenning <[email-masked]>
Date: Mon, 17 Jul 2017 14:45:20 -0700

The "wash html" function in Gnus doesn't seem to support the 
whitespace:pre CSS style.  I've attached a sample message in 
multipart/mixed format that contains HTML using whitespace:pre. 
If you save the HTML portion in a file and view it with a browser, 
you'll see that the patched code is properly indented.  OTOH if 
you view it in Gnus with "W h", there will be no indentation.

(Note: the plain-text version of the message is also improperly 
indented, but that's a bug at the sender end, not with Gnus.)

Gnus v5.13
GNU Emacs 24.3.1 (x86_64-suse-linux-gnu, GTK+ Version 3.16.7)
 of 2017-01-05 on cloud112

-- 
    Geoff Kuenning   [email-masked] 
    http://www.cs.hmc.edu/~geoff/

XML: verbose obfuscation in the service of simple key-value pairs.